[Forgot Password]
Login  Register Subscribe

23631

 
 

115083

 
 

97147

 
 

909

 
 

78764

 
 

109

Paid content will be excluded from the download.


Download | Alert*
CVE
view XML

CVE-2010-4824

Date: (C)2012-09-17   (M)2017-08-29 


SQL injection vulnerability in the augmentSQL method in core/model/Translatable.php in SilverStripe 2.3.x before 2.3.10 and 2.4.x before 2.4.4, when the Translatable extension is enabled, allows remote attackers to execute arbitrary SQL commands via the locale parameter.

CVSS Score: 6.8Access Vector: NETWORK
Exploit Score: 8.6Access Complexity: MEDIUM
Impact Score: 6.4Authentication: NONE
 Confidentiality: PARTIAL
 Integrity: PARTIAL
 Availability: PARTIAL





Reference:
SECUNIA-42346
BID-45367
OSVDB-69884
http://www.openwall.com/lists/oss-security/2011/01/03/12
http://www.openwall.com/lists/oss-security/2012/04/30/1
http://www.openwall.com/lists/oss-security/2012/04/30/3
http://www.openwall.com/lists/oss-security/2012/05/01/3
http://doc.silverstripe.org/framework/en/trunk/changelogs//2.3.10
http://doc.silverstripe.org/framework/en/trunk/changelogs//2.4.4
http://open.silverstripe.org/changeset/114515
http://open.silverstripe.org/changeset/114517
silverstripe-locale-sql-injection(63989)

CPE    14
cpe:/a:silverstripe:silverstripe:2.3.9
cpe:/a:silverstripe:silverstripe:2.3.8
cpe:/a:silverstripe:silverstripe:2.3.7
cpe:/a:silverstripe:silverstripe:2.3.6
...
CWE    1
CWE-89

© 2013 SecPod Technologies